# std::char_traits<CharT>::copy

From cppreference.com
< cpp‎ | string‎ | char traits

static char_type* copy( char_type* dest, const char_type* src, std::size_t count ); |  | (until C++20)
static constexpr char_type* copy( char_type* dest, const char_type* src, std::size_t count ); |  | (since C++20)

Copies `count` character from character string pointed to by `src` to character string pointed to by `dest`.

Formally, for each `i` in `[0, count)`, performs assign(src[i], dest[i]).

The behavior is undefined if copied character ranges overlap, i.e. `src` is in [`dest`, `dest + count`).

### Parameters

dest | - | pointer to a character string to copy to
src | - | pointer to a character string to copy from
count | - | the number of characters to copy

### Return value

`dest`

### Exceptions

(none)

### Complexity

Linear.

### See also

assign [static] | assigns a character (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/copy&oldid=108560"